Loading...
Searching...
No Matches
add_direction< Problem, std::true_type >

## Detailed Description

template<class Problem>
class rheolef::details::add_direction< Problem, std::true_type >

Definition at line 143 of file newton_add_missing.h.

Inheritance diagram for add_direction< Problem, std::true_type >:

## Public Types

typedef Problem::float_type | float_type
typedef Problem::value_type | value_type

## Public Member Functions

| add_direction (const add_direction &f)
| add_direction (const Problem &f)
add_direction< Problem > & | operator= (add_direction< Problem > &&f)

## Member Typedef Documentation

## float_type

template<class Problem >

typedef Problem::float_type float_type

Definition at line 145 of file newton_add_missing.h.

## value_type

template<class Problem >

typedef Problem::value_type value_type

Definition at line 146 of file newton_add_missing.h.

## Constructor & Destructor Documentation

## add_direction() [1/2]

template<class Problem >

add_direction | ( | const add_direction< Problem, std::true_type > & | f | ) |

Definition at line 147 of file newton_add_missing.h.

## add_direction() [2/2]

template<class Problem >

add_direction | ( | const Problem & | f | ) |

explicit

Definition at line 148 of file newton_add_missing.h.

## Member Function Documentation

## operator=()

template<class Problem >

add_direction< Problem > & operator= | ( | add_direction< Problem > && | f | ) |

Definition at line 149 of file newton_add_missing.h.

The documentation for this class was generated from the following file:

- /build/rheolef-dTNbRN/rheolef-7.2/main/lib/newton_add_missing.h